/*
 * Segment 2 (KEx),  SWE2.4 Email/Fax/SMS
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.emailfaxsms;

/**
 * Konstanten f&uuml;r die serielle Kommunikation.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */
public final class AsyncSerialPort {

	/**
	 * Bytes f&uuml;r DatenFlussSteuerung.
	 */
	/** XON. */
	static final byte XON = 0x11;

	/** XOFF. */
	static final byte XOFF = 0x13;

	/**
	 * ASCII Codes.
	 */
	/** CR. */
	static final byte CR = 0x0D;

	/** LF. */
	static final byte LF = 0x0A;

	/** DLE. */
	public static final byte DLE = 0x10;

	/** EOF. */
	static final byte EOF = 0x1A;

	/** Line end. */
	static final byte[] ENDL = new byte[] { AsyncSerialPort.CR, AsyncSerialPort.LF };

	/**
	 * Private Konstruktor.
	 */
	private AsyncSerialPort() {
		/** nicht benutzt */
	}
}
